[
  {
    "chunk_id": 1,
    "chunk_type": "dataset",
    "human_description": "This is dataset 'Addresses' definition for report 'ListReport'. Contains 4 fields: Id, FirstName, LastName, Street. Contains 1 parameters: City. Query (sql): SELECT * FROM Address WHERE City = $P{City}",
    "raw_xml": "<dataset name=\"Addresses\" uuid=\"1a45bd64-6c6a-4b66-a676-db452e27f7a6\">\n\t\t<parameter name=\"City\" class=\"java.lang.String\" />\n\t\t<query language=\"sql\">SELECT * FROM Address WHERE City = $P{City}</query>\n\t\t<field name=\"Id\" class=\"java.lang.Integer\" />\n\t\t<field name=\"FirstName\" class=\"java.lang.String\" />\n\t\t<field name=\"LastName\" class=\"java.lang.String\" />\n\t\t<field name=\"Street\" class=\"java.lang.String\" />\n\t</dataset>\n\t",
    "context": "Report 'ListReport' dataset 'Addresses'",
    "metadata": {
      "dataset_name": "Addresses",
      "field_names": [
        "Id",
        "FirstName",
        "LastName",
        "Street"
      ],
      "parameter_names": [
        "City"
      ],
      "query": "SELECT * FROM Address WHERE City = $P{City}",
      "query_language": "sql",
      "properties": {}
    }
  },
  {
    "chunk_id": 1,
    "chunk_type": "dataset",
    "human_description": "This is dataset 'Addresses' definition for report 'ListReport'. Contains 4 fields: Id, FirstName, LastName, Street. Contains 1 parameters: City. Query (sql): SELECT * FROM Address WHERE City = $P{City}",
    "raw_xml": "<dataset name=\"Addresses\" uuid=\"1a45bd64-6c6a-4b66-a676-db452e27f7a6\">\n\t\t<parameter name=\"City\" class=\"java.lang.String\" />\n\t\t<query language=\"sql\">SELECT * FROM Address WHERE City = $P{City}</query>\n\t\t<field name=\"Id\" class=\"java.lang.Integer\" />\n\t\t<field name=\"FirstName\" class=\"java.lang.String\" />\n\t\t<field name=\"LastName\" class=\"java.lang.String\" />\n\t\t<field name=\"Street\" class=\"java.lang.String\" />\n\t</dataset>\n\t",
    "context": "Report 'ListReport' dataset 'Addresses'",
    "metadata": {
      "dataset_name": "Addresses",
      "field_names": [
        "Id",
        "FirstName",
        "LastName",
        "Street"
      ],
      "parameter_names": [
        "City"
      ],
      "query": "SELECT * FROM Address WHERE City = $P{City}",
      "query_language": "sql",
      "properties": {}
    }
  }
]